// Declare global variables
var AlipayJSBridge;

(function(){
  var nativeLog = self.__nativeLog__;

  function log() {
    try {
      var msg = '';
      for (var i = 0; i < arguments.length; i++) {
        var value = arguments[i];
        if(i > 0) msg += ' ';
        if (value instanceof Error) {
          msg += value.message + "\n" + value.stack;
        }
        else {
          msg += (typeof value == 'object') ? JSON.stringify(value) : value;
        }
      }
      nativeLog(msg);
    } catch(err) {}
  }

  if (nativeLog) self.__nativeLog__ = null;

  if (nativeLog) {
    self.console = {
      log: log,
      info: log,
      debug: log,
      warn: log,
      error: log,
      exception: log,
      clear: nop,
      count: nop,
      countReset: nop,
      dir: nop,
      dirxml: nop,
      group: nop,
      groupCollapsed: nop,
      groupEnd: nop,
      profile: nop,
      profileEnd: nop,
      table: nop,
      time: nop,
      timeEnd: nop,
      timeLog: nop,
      timeStamp: nop,
      trace: nop,
      assert: function() {
        if (arguments[0]) return;
        console.warn("Assertion failed:", Array.prototype.slice.call(arguments).slice(1));
      }
    };
  }

  self.origin = document.origin;
  self.location = document.location;
  self.document = document;
  self.window = self;
})();
